/* 
    Automated Drink Mixer

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    (C) 2007 Jason Hunt
    nulluser@gmail.com
    
    File: maixer.h
*/


#ifndef MIXER_H
#define MIXER_H

void mixer_make_cur_drink(void);
void mixer_halt_drink( void );
void mixer_close_channel(unsigned int c);
void mixer_update_channels( void );
void mixer_open_channel(unsigned int c, unsigned int duration);
void mixer_close_all( void );
void check_cup( void );

extern int mixer_open_channels;
extern bool mixer_making_drink;
extern bool mixer_waiting_for_cup; 
extern bool mixer_cup_override;

#endif
