/* 
    Automated Drink Mixer

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    (C) 2007 Jason Hunt
    nulluser@gmail.com
    
    File: utility.h
*/

#ifndef UTILITY_H
#define UTILITY_H

void color_rect(int x, int y, 
                int x_size, int y_size, 
                COLORREF color);
                
void draw_graph(int x, int y, int x_size, int y_size, float value);


void draw_arrow(unsigned int x, unsigned int y, unsigned int dir, 
                COLORREF color);
                
double get_time( void );

extern char tmp[STR];

#endif
