/* 
    Automated Drink Mixer

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    (C) 2007 Jason Hunt
    nulluser@gmail.com
    
    File: types.h
*/


#ifndef CORE_H
#define CORE_H

#include <windows.h>
#include <stdio.h>
#include <time.h>

#include "types.h"
#include "main.h"
#include "utility.h"
#include "debug.h"
#include "sound.h"
#include "mixer.h"
#include "display.h"
#include "database.h"
#include "input.h"

#endif


