/* 
    Automated Drink Mixer

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    (C) 2007 Jason Hunt
    nulluser@gmail.com
    
    File: display.h
*/


#ifndef DISPLAY_H
#define DISPLAY_H

void display_start( void );
void display_stop( void );

void display_paint(HWND hwnd);

void display_resize(HWND hwnd, LPARAM l);
void display_set_mode(unsigned int mode);

extern int display_x;             // Initial screen size
extern int display_y;
extern unsigned int display_mode;

extern unsigned int v_div_line;

extern unsigned int arrow_length;
extern unsigned int arrow_width;


extern int sel_drink;
extern int sel_base;    // base index for drink scroll

extern HDC memdc;

#endif
